Sortie de PluXml 5.4

La version 5.4 de PluXml est disponible.

L'annonce est à lire sur le blog

Télécharger la nouvelle version ici

Le détail dans le changelog

Toute l'équipe vous souhaite une bonne installation ou mise à jour

Consultant PluXml

Ancien responsable du projet

«1

Réponses

  • antistressantistress Membres
    juillet 2015 modifié
    Mise à jour réussie depuis la précédente, merci :)

    Par contre plxMySnowFlakes n’apparaît plus dans la console parmi les plugins disponibles ? C'est le seul plugin que j'utilise ;)
  • @antistress: les plugins vont etre mis à jour au fur et à mesure. vu le nombre ça prend un peu de temps et de l'énergie pour tout publier :-)

    Consultant PluXml

    Ancien responsable du projet

  • Tiens je vois que j'ai d'autres plugins (que je n'utilise pas à vrai dire) dans mon répertoire qui n’apparaissent pas dans la console :
    plxcapchaimage
    plxeditor

    Seul plxtoolbar ressort dans la console
  • Stéphane a écrit:
    @antistress: les plugins vont etre mis à jour au fur et à mesure. vu le nombre ça prend un peu de temps et de l'énergie pour tout publier :-)

    Ok :)

    Par contre comment on le saura, vous le signalerez sur http://wiki.pluxml.org/index.php?page=Plugins+officiels ?
  • antistressantistress Membres
    juillet 2015 modifié
    Par contre si je veux tester le nouveau thème, j'obtiens
    Fatal error: Call to undefined method plxShow::pluginsCss() in /data/web/f/8/libre-ouvert.toile-libre.org/htdocs/themes/defaut/header.php on line 15


    Il faut installer PluCSS séparément ? Je n'ai pas très bien suivi cette séparation du code PluXml/PluCSS
  • PluCSS est d'office avec le nouveau theme. Il n'y a besoin de rien faire.
    En revanche vu ton message d'erreur, es-tu certain que le fichier core/lib/class.plx.show.php est bien à jour ?

    Consultant PluXml

    Ancien responsable du projet

  • antistress a écrit:
    Stéphane a écrit:
    @antistress: les plugins vont etre mis à jour au fur et à mesure. vu le nombre ça prend un peu de temps et de l'énergie pour tout publier :-)

    Ok :)

    Par contre comment on le saura, vous le signalerez sur http://wiki.pluxml.org/index.php?page=Plugins+officiels ?

    Sur le forum. En ce qui me concerne en tout cas (pour mes plugins), dès que je mettrai à jour un plugin ça sera notifié sur le forum ou via le plugin MyPluginDownloader (pour ceux qui sont gérer via ce plugin)

    Consultant PluXml

    Ancien responsable du projet

  • antistress a écrit:
    Par contre si je veux tester le nouveau thème, j'obtiens
    Fatal error: Call to undefined method plxShow::pluginsCss() in /data/web/f/8/libre-ouvert.toile-libre.org/htdocs/themes/defaut/header.php on line 15


    Il faut installer PluCSS séparément ? Je n'ai pas très bien suivi cette séparation du code PluXml/PluCSS

    Non il n'y a rien à faire. PluCSS est dans le dossier css du theme par defaut et c'est géré nativement. Aucun manip n'est requise
    (bien sur il faut PluXml 5.4)

    Consultant PluXml

    Ancien responsable du projet

  • antistressantistress Membres
    juillet 2015 modifié
    Stéphane a écrit:
    En revanche vu ton message d'erreur, es-tu certain que le fichier core/lib/class.plx.show.php est bien à jour ?

    J'ai réécrasé le dossier core/lib/ avec le nouveau, apparemment ça n'avait pas bien été fait la 1re fois et ça marche en effet :)
  • ok super :cool:

    Consultant PluXml

    Ancien responsable du projet

  • Par contre le thème 5.1.7 qui est mon actuel, semble plus réactif que le nouveau qui me déplaît beaucoup pour cette raison
  • En quelle version de PluXml étais-tu avant ?

    Consultant PluXml

    Ancien responsable du projet

  • GzygGzyg Membres
    M***, moi qui voulais buller aujourd'hui... v'là qu'il faut tester la mise à jour... :D

    Félicitations à l'équipe de toute manière et retour à suivre si besoin. :cool:


    à plus,

    Gzyg
  • \o/ Koumbayaaaaa !
    Bon, ben j'ai plus qu'à tester et voir la liste des plugins que je dois mettre à jour x_x
    Si j'ajoute la liste des plugins que j'ai en tête de développer, les autres projets déjà commencés et ceux dont j'ai eu l'idée... ouch.
    Merci en tout cas ^^
  • antistressantistress Membres
    juillet 2015 modifié
    Stéphane a écrit:
    En quelle version de PluXml étais-tu avant ?
    J'avais PluXml 5.3.1 avec le thème 5.1.7 et là PluXml 5.4 avec le même thème 5.1.7 et le nouveau pour comparer.
    Le nouveau me semble lagguer ?
  • Stéphane a écrit:
    antistress a écrit:
    Stéphane a écrit:
    @antistress: les plugins vont etre mis à jour au fur et à mesure. vu le nombre ça prend un peu de temps et de l'énergie pour tout publier :-)

    Ok :)

    Par contre comment on le saura, vous le signalerez sur http://wiki.pluxml.org/index.php?page=Plugins+officiels ?

    Sur le forum. En ce qui me concerne en tout cas (pour mes plugins), dès que je mettrai à jour un plugin ça sera notifié sur le forum ou via le plugin MyPluginDownloader (pour ceux qui sont gérer via ce plugin)

    forum annonces officielles ou plugins ?
  • Bonjour

    Merci à toute l'équipe pour tout ce travail.
    Mises à jour réussies mais il est vrai que j'avais préparé le "terrain" avec la version de développement.
    Depuis décembre, j'ai apprécié de pouvoir disposer de la version de développement et de tester "en avance" mes nouveaux thèmes et de disposer dune version" personnalisée" de pluxml.
    J'ai ainsi énorméméent appris sur l'utilisation de pluxml .

    Merci

    Cordialement

    Encore
  • Amazing ;)
  • Bonne nouvelle :) Plus qu'à attendre un ou deux bons thèmes 100% compatibles ]:D
  • Excellent ! Bravo pour le boulot ;)

    Un tout petit bémol cependant... Lorsqu'on est dans la page d'édition d'un article si on clique à droite au niveau de la liste des catégories, on peut sélectionner par mégarde d'autres catégories :/ C'est pas un gros problème mais au début on se demande ce qui se passe !
  • nebius a écrit:

    Un tout petit bémol cependant... Lorsqu'on est dans la page d'édition d'un article si on clique à droite au niveau de la liste des catégories, on peut sélectionner par mégarde d'autres catégories :/ C'est pas un gros problème mais au début on se demande ce qui se passe !

    Un article peut etre classé dans plusieurs catégories. Donc normal qu'on puisse cliquer sur plusieurs catégories

    Consultant PluXml

    Ancien responsable du projet

  • Merci Stéphane et toute l'équipe pour cette nouvelle version ! :)

    L'interface d'administration est claire, j'apprécie d'avoir l'affichage de l'Id de chaque article.

    Je n'ai pas encore installé de plugins et je me pose une question : les principales incompatibilités semblent venir de l'affichage, d'après ce que j'ai compris, est-ce qu'il y a d'autres types d'incompatibilité connus (utilisation de certaines fonctions, ...) ?
    S'il n'y a pas de problèmes de ce type, je pense que la plupart des plugins marcheront sans modification.
  • @Francis: c'est principalement au niveau de l'affichage pour profiter de la barre d'action qui regroupe les boutons.
    Normalement il ne devrait pas avoir d'autres types de problèmes. Mais vaut mieux faire des tests en local comme toujours avant de passer en prod

    Consultant PluXml

    Ancien responsable du projet

  • Merci bien pour cette précision utile.
    Je continuerai demain l'installation des plugins, j'en ai profité pour récupérer sur Pluxopolis les dernières versions des plugins officiels que tu as modifiés.
  • DenDen Membres
    Un GROS merci à toute l'équipe :)
  • Je rencontre un pb avec les images et documents remplacés par medias avec le plugin plxtoolbar.
  • @mr-toc: ça sent le plugin à mettre à jour pour la 5.4 ça... je prends en compte. Tu peux me dire stp quel chemin tu utilises dans les paramètres pour gérer tes images. (data/images/ ? ou data/medias/ ?)

    Consultant PluXml

    Ancien responsable du projet

  • j'ai utilisé data/medias .

    j'ai oublié de donner la version: plxToolbar - Version 1.2 (08/09/2011)
  • @mr-toc: tu as bien data/medias/ et pas data/medias
    faut pas oublier le / à la fin des chemins dans les paramètres

    Consultant PluXml

    Ancien responsable du projet

  • GzygGzyg Membres
    Je confirme le bug pour la plxtoolbar. :)


    à plus,

    Gzyg
Connectez-vous ou Inscrivez-vous pour répondre.